<?php
	session_start();
	include('database.php');
	DB_connexion(); 
	
	/*if(!isset($_SESSION['logged']) )
	{		header ('Location: interdiction.php');
	}
	
	if($_SESSION['logged']== "no")
	{
		header ('Location: interdiction.php');
	}*/
	
	if(!empty($_POST) )
	{
		$_SESSION['sauvegarde_formulaire'] = $_POST ;
		$page_actuelle = $_SERVER['PHP_SELF'] ;
		if(!empty($_SERVER['QUERY_STRING']))
		{
			$page_actuelle .= '?' . $_SERVER['QUERY_STRING'] ;
		}
     
		header('Location: ' . $page_actuelle);
		exit;
	}

	if(isset($_SESSION['sauvegarde_formulaire']))
	{
				$_POST = $_SESSION['sauvegarde_formulaire'] ;
				unset($_SESSION['sauvegarde_formulaire']);
	}	
	
	if( isset($_POST['valide_form']) && $_POST['valide_form'] == "ok" )
	{
					
				$dossier = 'Avatar/';
				$fichier = basename($_FILES['fichier_choisi']['name']);
				//$taille_maxi = 100000;
				//$taille = filesize($_FILES['avatar']['tmp_name']);
				$extensions = array('.png', '.gif', '.jpg', '.jpeg');
				$extension = strrchr($_FILES['fichier_choisi']['name'], '.'); 

				//L'extension n'est pas dans le tableau
				if(!in_array($extension, $extensions)) 
				{
					$erreur = 'Vous devez uploader un fichier de type png, gif, jpg, jpeg, txt ou doc...';
				}
	
				/*if($taille>$taille_maxi)
				{
					$erreur = 'Le fichier est trop gros...';
				}*/
	
	//Il n'y a pas d'erreur, on upload
	if(!isset($erreur)) 
	{
		//On remplace les lettres accentutées par les non accentuées dans $fichier.
	
		$fichier = strtr($fichier,
		'ÀÁÂÃÄÅÇÈÉÊËÌÍÎÏÒÓÔÕÖÙÚÛÜÝàáâãäåçèéêëìíîïðòóôõöùúûüýÿ',
		'AAAAAACEEEEIIIIOOOOOUUUUYaaaaaaceeeeiiiioooooouuuuyy'); 
 
		//Expression régulière qui remplace tout ce qui n'est pas une lettre non accentuées ou un chiffre
		//dans $fichier par un tiret "-" et qui place le résultat dans $fichier.
		$fichier = preg_replace('/([^.a-z0-9]+)/i', '-', $fichier); 
	 
		//Si la fonction renvoie TRUE, c'est que ça a fonctionné...
		if(move_uploaded_file($_FILES['fichier_choisi']['tmp_name'], $dossier . $fichier)) 
		{
			echo 'Upload effectué avec succès !';
		}
		else //Sinon (la fonction renvoie FALSE).
		{
			echo 'Echec de l\'upload !';
		}
	}

	else
	{
		echo $erreur;
	}	
					
					
					
			/*	$nomFichier    = $_FILES["fichier_choisi"]["name"] ;
				//nom temporaire sur le serveur
				$nomTemporaire = $_FILES["fichier_choisi"]["tmp_name"] ;
				//type du fichier choisi
				$typeFichier   = $_FILES["fichier_choisi"]["type"] ;
				//poids en octets du fichier choisit
				$poidsFichier  = $_FILES["fichier_choisi"]["size"] ;
				//code de l'erreur si jamais il y en a une
				$codeErreur    = $_FILES["fichier_choisi"]["error"] ;
				//chemin qui mène au dossier qui va contenir les fichiers uploadés
				$chemin = "/Avatar/" ;
				//echo $nomTemporaire;
				//copy($nomTemporaire, $chemin.$nomFichier);*/
	
				//copy($fichier_choisi, 'bilou.jpg'); 
				
				//move_uploaded_file($nomTemporaire,  "temp.jpg"); 
				
//$nom = "avatars/{$id_membre}.{$extension_upload}";
//$resultat = move_uploaded_file($_FILES['icone']['tmp_name'],$nom);
//if ($resultat) echo "Transfert réussi";

//move_uploaded_file($uploaded, $destination);
//copy($destination, $destination2);

				
	/*			include('traitement_image.php');
				redimensionner_image($nomFichier, $chemin.$nomFichier, 100); 
				
				$tab = explode(".",$nomFichier);
				$extension_image = array_pop($tab);
				$fichier_avatar = $_SESSION['login'] ."_avatar" ."." .$extension_image;		
				rename($chemin.$nomFichier,  $chemin.$fichier_avatar);
				
				// sauvegarder dans la DB le nom du fichier avatar
				$login = $_SESSION['login']; 
				$id = $_SESSION['user_id'];
					
				$sql = "UPDATE membres SET login  = '$login', 
	          			    avatar  = '$fichier_avatar'
							WHERE id = '$id' " ;
					
				$requete = mysql_query($sql);

				$_SESSION['message'] = "ok";*/			
				
	}			
	
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="Description" content="Site perso,cours,ouvrages" />
<meta name="Keywords" content="WEBSITE perso " />
<meta name="Distribution" content="Global" />
<meta name="Robots" content="" />
<meta http-equiv="Content-Language" content="fr" />
<meta name="rating" content="general" />
<meta name="author" content="Patrice DELPY" />
<meta name="copyright" content="Copyright 2013" />
<meta name="generator" content="Patoche" />
<title>Patoche WEBSITE - 2013 - Template du site - en cours de développemment ...</title>
<!---------------------------------------------------------->	
<?php
		include('include_css_template_commun.php');
		include('include_css.php');
		include('css_tools_skill.php');
		include('include_javascript.php');

?> 

<style type="text/css">

#bloc_avatar{ display: inline;
			float: left;
			width: 932px;
		    height: 400px;
			/*background: #f8dbdb;*/
}

#bloc_menu_avatar{ 
				float: left;
				width: 320px;
				/*height: 350px;*/
				margin: 0px 0 0 0px;
				/*background: #38dbdb;*/
}

#bloc_change_avatar{ 
				float: left;
				width: 400px;
				height: 450px;
				/*height: 350px;*/
				margin: 0px 0px 0px 60px;
				/*background: #18dbdb;*/
}



	
</style>

<!-- diaporama -->
<link href="diaporama/css/style.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="diaporama/js/jquery.jDiaporama.js"></script>
<script type="text/javascript" src="diaporama/js/script.js"></script>

<script type="text/javascript">
function call_update()
{
	 ajax_routine(); 
	 setTimeout("call_update()", 1000); //appelle la fonction 1 fois par  seconde
}
</script>

<!---------------------------------------------------------->	
</head>

<body>
<!---------------------------------------------------------->	
	<div class="main"> <!-- main -->
<!---------------------------------------------------------->	

          <div class="header">
                <div class="balise_titre">Patoche</div>
                <div class="balise_citation">
                &quot;Etre conscient que l'on est ignorant est un grand pas vers le savoir&quot;
                </div>
          </div> 
 
          <div class="banniere"></div>  

<!---------------------------------------------------------->
<?php
/*	include("include_barre_login.php");
	echo '<div id="box_icon">';
	include("debug_connexion_membre.php");
	echo '</div>';
	include("include_menu.php");*/
	
	echo '<div id="box_infos">';
			include("include_menu.php");
			
			echo '<div id="box_icon2">';
			include("connexion_membre.php");
			echo	'</div>';
			
			echo '<div id="box_icon3">';
			include("include_barre_login.php");
			echo	'</div>';

	echo	'</div>';
	$_SESSION['page_active'] = basename (__FILE__ );
?>

<!---------------------------------------------------------->	
            <div class="contenu"> <!-- contenu -->
<!---------------------------------------------------------->	
			
				<h2 class="retrait">Editer mes données personnelles </h2>
				
				
				<div id= "bloc_avatar">
				
							<div id= "bloc_menu_avatar">
									<div id="bloc_menu">
									<div id="leftcolumn">
									<div class="titlebar" style="margin-top: 12px">Menu</div>
									<ul class="ddmarkermenu">
									<li class="acceuil_tag"><a href="compte.php" title="aller à la section">Acceuil</a></li>
									<li class="information_tag"><a href="information.php" title="aller à la section">Informations</a></li>
									<li class="password_tag"><a href="password.php" title="aller à la section"> Mot de passe</a></li>
									<li class="avatar_tag_selected"><a href="avatar.php" title="aller à la section">Avatar</a></li>
									</ul>
									</div>
									</div>
							</div>	
				
							
							<div id= "bloc_change_avatar">
							
									<div id="form_avatar">
						
									<form method="post" enctype="multipart/form-data" id="form" action="avatar.php" onsubmit="return valider_avatar(this)">
						 
									<h1>Changer votre Avatar</h1>
							
									<input type="hidden" name="valide_form" id="valide_form" value="" />
							
									<div>
									<label for="avatar">Choisir un avatar</label>
									<input type="file" name="fichier_choisi" id="fichier_choisi">
									<span id="statut_avatar"></span>
									</div>

									<div>
									<label for="avatar">Avatar actif</label>
<?php	
									if($champ_avatar == '')
									{ echo '<img src="images/no_avatar.gif">';
									}
									else { 
											$image = "Avatar/" .$champ_avatar;
?>						
									<img src="<?php echo $image; ?>";
<?php						
									}
?>
									<span id="statut_image_avatar"></span>
									</div>							
				
			
									<div>
									<input id="send" name="send" type="submit" value="Modifier"  />
									</div>
<?php
			if($_SESSION['message'] == "ok")
			   {	echo '<div id="message_traitement" style="display:block">Votre nouvel avatar est sauvegardé.</div>';
					$_SESSION['message'] = "none";
			   }
?>	
									</form>
							
									</div>		
						
							</div>
		

				</div>

	<br/>
	<br/>
	<br/>
	<br/>
	<br/>
           

<!---------------------------------------------------------->	
<?php			
            include('include_pied_page.php');
			include('include_publicite.php');
?>
<!---------------------------------------------------------->	
			</div>  <!-- contenu -->
<!---------------------------------------------------------->	
	</div>   <!-- main -->
<!---------------------------------------------------------->	

	<script type="text/javascript">
		call_update()
	</script>

</body>
</html>
